import React from "react";
import "bootstrap/dist/css/bootstrap.min.css";
import { Link } from "react-router-dom";
import {
  DropdownToggle,
  DropdownMenu,
  DropdownItem,
  Button,
  ButtonDropdown
} from "reactstrap";

export default class NavDropdown extends React.Component{
  state = {
    isOpen: false,
  }

  toggle = () => this.setState({isOpen: !this.state.isOpen});

  render(){
    return(
      <ButtonDropdown isOpen={this.state.isOpen} toggle={this.toggle}>
        <Button id="caret" color="secondary">
          <Link className="nav-link" to={this.props.link.url}>{this.props.link.name}</Link>
        </Button>
        <DropdownToggle caret color="secondary" />
        <DropdownMenu right>
          <DropdownItem >
            {this.props.link.sublinks.map((sublink, idx) => (
              <Link className="nav-link" to={sublink.url} key={idx}>
                {sublink.name}
              </Link>
            ))}
          </DropdownItem>
        </DropdownMenu>
      </ButtonDropdown>
    );
  }
}
